import type { ExperienceCheck, ExperienceCheckCallback } from './ExperienceCheck';
/**
 * Composite check that combines multiple checks.
 *
 * Starts and stops all contained checks.
 */
export declare class ExperienceCheckComposite implements ExperienceCheck {
    private checks;
    constructor(checks: ExperienceCheck[]);
    start(callback: ExperienceCheckCallback): void;
    stop(): void;
}
